using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Sonidos : MonoBehaviour {

    public static Sonidos instancia;

    public AudioClip[] teclas;
    public AudioSource prefabAudio;

    private void Awake()
    {
        instancia = this;
    }

    private void Sonar(AudioClip audio)
    {
        var fuente = Instantiate(instancia.prefabAudio);
        fuente.clip = audio;
        fuente.Play();
    }

    public static void Tecla()
    {
        instancia.Sonar(instancia.teclas.GetRandom());
    }
}
